# ionic-react-utils

A suite of components and utilities for Ionic Framework with React.

## Installation

To install the package, use npm or yarn:

```bash
npm install @codesyntax/ionic-react-utils
```

or

```bash
yarn add @codesyntax/ionic-react-utils
```

## Usage

Import the desired component or utility in your React project:

```jsx
import { SomeIonicReactUtility } from '@codesyntax/ionic-react-utils';

function App() {
  return (
    <div>
      <SomeIonicReactUtility />
    </div>
  );
}
```

## Available Components and Utilities

- **IonPasswordInput**: IonInput component for passwords with the option to show or hide the text.
- **InnerHTML**: Render any string or URL content in HTML format.
- **useIonHeaderCollapse**: Collapse the header when scrolling the content to get more space on the screen.
- **useIonHeaderParallax**: Get an integrated parallax effect with the IonHeader component.
- **usePinchToZoom**: Zoom in on images using the pinch-to-zoom.


## Contributing

To contribute, fork the repository and create a pull request.

## License

This project is licensed under the MIT License.